API ReferenceCredentials
Complete OAuth flow
Complete the OAuth flow with the callback parameters.
POST
/v1/credentials/oauth/callbackAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/credentials/oauth/callback" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "state": "string" }'{
"id": "string",
"name": "string",
"connectorId": "string",
"type": "oauth2",
"status": "valid",
"expiresAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed",
"details": {
"field": "name",
"reason": "Name is required"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}Was this page helpful?